This discussion is archived
7 Replies Latest reply: Jan 30, 2013 6:24 AM by User287063 RSS

Installation of 11gR2 on SLES - SP2 (x86_64)

User287063 Newbie
Currently Being Moderated
I am trying to install 11gR2 on SLES SP2 (x86_64) - and am encountering the following pre-requisite checks.

Packages missing:

compat-libstdc++-33-3.2.3(x86_64)
elfutils-libelf-0.97(x86_64)
elfutils-libelf-devel-0.97(x86_64)
glibc-common-2.3.4
glibc-headers-2.3.4
libgcc-3.4.6(x86_64)
libstdc++-3.4.6(x86_64)
pdksh-5.2.14

Has anyone encountered this before?

The RPM database for SLES 11 SP2 does not contain any of these packages.

Thanks for your help in advance.
  • 1. Re: Installation of 11gR2 on SLES - SP2 (x86_64)
    damorgan Oracle ACE Director
    Currently Being Moderated
    If the operating system you are trying to install does not contain the required packages then one might reasonably conclude that it is incapable of supporting the database and you should therefore get an operating system that does fully support the Oracle database.

    Though it is also quite possible in your case the missing RPMs are sitting on the DVD and are just not part of the default install. For example with Oracle Enterprise Linux actions like the following is often required to properly create the operating system.
    rpm -Uvh libaio-devel-0.3.105-2.i386.rpm
    Note: When asking for help in these forums do not assume that everyone, in every country, knows the meaning of acronyms such as SLES.
  • 2. Re: Installation of 11gR2 on SLES - SP2 (x86_64)
    User287063 Newbie
    Currently Being Moderated
    damorgan wrote:
    If the operating system you are trying to install does not contain the required packages then one might reasonably conclude that it is incapable of supporting the database and you should therefore get an operating system that does fully support the Oracle database.

    Though it is also quite possible in your case the missing RPMs are sitting on the DVD and are just not part of the default install. For example with Oracle Enterprise Linux actions like the following is often required to properly create the operating system.
    rpm -Uvh libaio-devel-0.3.105-2.i386.rpm
    Note: When asking for help in these forums do not assume that everyone, in every country, knows the meaning of acronyms such as SLES.
    HUH!

    Edited by: 864641 on Jan 29, 2013 9:00 AM
  • 3. Re: Installation of 11gR2 on SLES - SP2 (x86_64)
    damorgan Oracle ACE Director
    Currently Being Moderated
    You are writing in English and you don't understand what I wrote? ;-)

    I didn't say I didn't know what it was ... I said you should not assume that EVERYONE in EVERY country knows what it is.

    When an acronym is not an Oracle Corp. acronym you decrease the number of people that may be able to help you when you assume that your acronym/abbreviation is going to be universally understood. There is plenty of evidence that such assumptions are not valid because many of the people answering questions here have English as their second, third, or fourth language.
  • 4. Re: Installation of 11gR2 on SLES - SP2 (x86_64)
    Srini Chavali-Oracle Oracle ACE Director
    Currently Being Moderated
    Pl identify exact version of "11gR2". SLES is certainly supported - http://docs.oracle.com/cd/E11882_01/install.112/e24321/pre_install.htm#CIHFICFD

    Pl see install pre-reqs in these MOS Docs

    Oracle Database (RDBMS) on Unix AIX,HP-UX,Linux,Mac OS X,Solaris,Tru64 Unix Operating Systems Installation and Configuration Requirements Quick Reference (8.0.5 to 11.2) [ID 169706.1]
    Requirements for Installing Oracle 11gR2 64-bit (AMD64/EM64T) on SLES 11 [ID 881044.1]

    HTH
    Srini
  • 5. Re: Installation of 11gR2 on SLES - SP2 (x86_64)
    User287063 Newbie
    Currently Being Moderated
    Srini Chavali wrote:
    Pl identify exact version of "11gR2". SLES is certainly supported - http://docs.oracle.com/cd/E11882_01/install.112/e24321/pre_install.htm#CIHFICFD

    Pl see install pre-reqs in these MOS Docs

    Oracle Database (RDBMS) on Unix AIX,HP-UX,Linux,Mac OS X,Solaris,Tru64 Unix Operating Systems Installation and Configuration Requirements Quick Reference (8.0.5 to 11.2) [ID 169706.1]
    Requirements for Installing Oracle 11gR2 64-bit (AMD64/EM64T) on SLES 11 [ID 881044.1]

    HTH
    Srini
    O/S is Suse Linux ES - 11 SR 2
    DB version is 11.2.0.3

    The packages that I am misssing are not in the rpm database for this particular version of SLES 11 - SP1. Further the binaries that I downloaded in July 2012 for the x86_64 platform were 7 zip files in all (p10404530_112030_Linux-x86-64_1of7.zip througnh 7) . Looking at OTN now, I am seeing only 2 zip files for 11gR2 (linux.x64_11gR2_database_1of2.zip and linux.x64_11gR2_database_2of2.zip).

    So I'm donwloading again and will re-start the installer and see if I encounter the same missing packages error.
  • 6. Re: Installation of 11gR2 on SLES - SP2 (x86_64)
    Srini Chavali-Oracle Oracle ACE Director
    Currently Being Moderated
    The downloads from OTN are for 11.2.0.1. Downloads for 11.2.0.2 and 11.2.0.3 are only available in MOS - did you refer the two MOS Docs I posted above ?

    HTH
    Srini
  • 7. Re: Installation of 11gR2 on SLES - SP2 (x86_64)
    User287063 Newbie
    Currently Being Moderated
    Srini:

    Yes I did refer to those docs. What eventually helped me through the install was the resolution section from the link below.

    http://kb.vmware.com/selfservice/microsites/search.do?language=en_US&cmd=displayKC&externalId=1038854

    Also confirmed (as you had stated) that the downloads from OTN were only for 11.2.0.1 - which explains why there were only 2 zip files as against 7 in the patchset (10404530_

    Thanks again

Legend

  • Correct Answers - 10 points
  • Helpful Answers - 5 points